Summary:	Monitors SmartArray controllers and notifies via SNMP and syslog
Name:		cpqarrayd
Version:	2.3
Release:	%mkrel 20
License:	GPLv2+
Group:		System/Servers
URL:		http://www.strocamp.net/opensource/
Source0:	http://www.strocamp.net/opensource/compaq/downloads/%{name}-%{version}.tar.bz2
Patch0:		cpqarrayd-2.3.no_ida.patch
Patch1:		cpqarrayd-2.3-message-overrun.patch
Patch2:		cpqarrayd-2.3-fix-str-fmt.patch
Patch3:		cpqarrayd-2.3-lsb.patch
Requires:	net-snmp
BuildRequires:	net-snmp-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	kernel-source
BuildRequires:	libtool

%description
This tool can run on a linux based intel box with a smart array controller from
Compaq. It reports status changes in the disks both to the syslog and to a snmp
trap host. The default is to only log to the syslog. You can specify traphosts
with the -t parameter at the commandline. Multiple traphosts are allowed. It
checks for valid input, but any errors are non-fatal, in fact the traphost is
just ignored. To ensure correct opereration compile it for the same kernel that
runs on the machine where you want to use this. At least make sure that the
version of the SmartArray driver is the same. Strange things can happen
otherwise.

%prep

%setup -q
%patch0 -p1 -b .no_ida
%patch1 -p1 -b .message-overrun
%patch2 -p0
%patch3 -p1 -b .lsb

chmod 644 AUTHORS ChangeLog NEWS README

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.ac

%build
rm -rf .deps
rm -f configure
#libtoolize --force --copy; aclocal; autoheader; automake --add-missing --copy --foreign; autoconf
autoreconf -fiv

%configure \
    --with-kernel=/usr/src/linux

%make_build

%install
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall

perl -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd

install -m0755 scripts/cpqarrayd %{buildroot}%{_initrddir}
install scripts/cpqarrayd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/cpqarrayd

%post
%_post_service cpqarrayd

%preun
%_preun_service cpqarrayd

%files
%doc AUTHORS ChangeLog NEWS README
%{_initrddir}/cpqarrayd
%config(noreplace) %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*




%changelog
* Tue Nov 03 2020 akien <akien> 2.3-20.mga8
+ Revision: 1641991
- Rebuild for new libnetsnmp

* Fri Feb 14 2020 umeabot <umeabot> 2.3-19.mga8
+ Revision: 1521650
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.3-18.mga7
+ Revision: 1346022
- rebuild for net-snmp

* Sun Sep 23 2018 umeabot <umeabot> 2.3-17.mga7
+ Revision: 1296849
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 2.3-16.mga6
+ Revision: 934081
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3-15.mga5
+ Revision: 741389
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-14.mga5
+ Revision: 678570
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3-13.mga4
+ Revision: 503567
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.3-12.mga3
+ Revision: 348245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.3-11.mga3
+ Revision: 336583
- fix build with new automake 1.13

* Sat May 12 2012 colin <colin> 2.3-10.mga2
+ Revision: 235386
- Add LSB headers to initscripts (mga#5262)
+ guillomovitch <guillomovitch>
- rebuild for latest net-snmp
- spec cleanup

* Wed Mar 09 2011 ennael <ennael> 2.3-8.mga1
+ Revision: 66875
- clean spec file
- imported package cpqarrayd

